<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>LabVIEW API overview :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/antidoc/latest/labview-api/overview.html">
    <link rel="prev" href="../labview-tool/overview.html">
    <link rel="next" href="../create-addon/overview.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../../../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../../../_'</script>
    <link rel="icon" href="../../../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../../../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:antidoc" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="antidoc" data-version="2.0">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="../index.html">Antidoc</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../index.html">What&#8217;s new</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../general-info.html">General information</a>
  </li>
</ul>
  </li>
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../labview-tool/overview.html">LabVIEW tool</a>
  </li>
</ul>
  </li>
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item is-current-page" data-depth="1">
    <a class="nav-link" href="overview.html">LabVIEW API</a>
  </li>
</ul>
  </li>
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../create-addon/overview.html">Create an add-on</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">Antidoc</span>
    <span class="version">2.0</span>
  </div>
  <ul class="components">
    <li class="component">
      <a class="title" href="../../../asciidoc-toolkit/latest/index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../asciidoc-toolkit/latest/index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../../../asciidoc-toolkit/1.7/index.html">1.7</a>
        </li>
        <li class="version">
          <a href="../../../asciidoc-toolkit/1.6/index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component is-current">
      <a class="title" href="../index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-current is-latest">
          <a href="../index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../antidoc-addon-lvproj/latest/index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../antidoc-addon-lvproj/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../../antidoc-addon-lvproj/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../antidoc-addon-toolkit/latest/index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../antidoc-addon-toolkit/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../cli-tool-for-antidoc/latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../cli-tool-for-antidoc/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../../cli-tool-for-antidoc/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../../cli-tool-for-antidoc/1.2.1/index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../about/index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
  <ul>
    <li><a href="../index.html">Antidoc</a></li>
    <li><a href="overview.html">LabVIEW API</a></li>
  </ul>
</nav>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/edit/docs/v2.0/docs/modules/labview-api/pages/overview.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="2">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<h1 class="page">LabVIEW API overview</h1>
<div id="preamble">
<div class="sectionbody">
<div class="paragraph">
<p>You can integrate <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator">Antidoc</a> features into your own LabVIEW code using the API provided during installation.</p>
</div>
</div>
</div>
<div class="sect1">
<h2 id="api-description"><a class="anchor" href="#api-description"></a>API description</h2>
<div class="sectionbody">
<div class="sect2">
<h3 id="main-palette"><a class="anchor" href="#main-palette"></a>Main palette</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Antidoc_icon.png" alt="Antidoc icon">
</div>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/Antidoc.png" alt="Antidoc">
</div>
</div>
<table class="tableblock frame-all grid-all stripes-none stretch">
<caption class="title">Table 1. Functions description</caption>
<colgroup>
<col style="width: 14.2857%;">
<col style="width: 42.8571%;">
<col style="width: 42.8572%;">
</colgroup>
<thead>
<tr>
<th class="tableblock halign-left valign-middle">Name</th>
<th class="tableblock halign-center valign-middle">Connector pane</th>
<th class="tableblock halign-left valign-middle">Description</th>
</tr>
</thead>
<tbody>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Create Doc</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Doc.lvclass_Create_Doc.vi.png" alt="AntiDoc.lvlib Doc.lvclass Create Doc.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Create and set up the document.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Add Sections</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Doc.lvclass_Add_Sections.vi.png" alt="AntiDoc.lvlib Doc.lvclass Add Sections.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Add sections to the document.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Generate Output</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Doc.lvclass_Generate_Output.vi.png" alt="AntiDoc.lvlib Doc.lvclass Generate Output.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Generate the document using AsciiDoc syntax.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Add Code Revision Information</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Doc.lvclass_Add_Code_Revision_Information.vi.png" alt="AntiDoc.lvlib Doc.lvclass Add Code Revision Information.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Add revision info to the document.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Create Section</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Section.lvclass_Create_Section.vi.png" alt="AntiDoc.lvlib Section.lvclass Create Section.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Creat a section.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Add Blocs</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Section.lvclass_Add_Blocs.vi.png" alt="AntiDoc.lvlib Section.lvclass Add Blocs.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Add bloc to a section.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Select the document you want to generate..</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Document_Type.lvclass_Select_Document_Type.vi.png" alt="AntiDoc.lvlib Document Type.lvclass Select Document Type.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Oen the add-on selection dialog.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Launch Config Panel</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Document_Type.lvclass_Launch_Config_Panel.vi.png" alt="AntiDoc.lvlib Document Type.lvclass Launch Config Panel.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Initialize and insert the configuration panel used to configure the docuementation generation.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Load Config</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Document_Type.lvclass_Load_Config.vi.png" alt="AntiDoc.lvlib Document Type.lvclass Load Config.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Load configuration contained in the file given in input.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Save Config</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Document_Type.lvclass_Save_Config.vi.png" alt="AntiDoc.lvlib Document Type.lvclass Save Config.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Save the current config in the path file given in input.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Load Default</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Document_Type.lvclass_Load_Default.vi.png" alt="AntiDoc.lvlib Document Type.lvclass Load Default.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Load the default configuration of the specific document type used.</p>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
Default configuration can overidden using the function Save default configuration. If default configuration file is not found, the Document Type default configuration will be used.
</td>
</tr>
</table>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Save Default</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Document_Type.lvclass_Save_Default.vi.png" alt="AntiDoc.lvlib Document Type.lvclass Save Default.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Save the current configuration to the default file.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Update Config</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Document_Type.lvclass_Update_Config.vi.png" alt="AntiDoc.lvlib Document Type.lvclass Update Config.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Use this function to update the configuration modified by the user through the config panel.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Is Configuration Valid</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Document_Type.lvclass_Is_Configuration_Valid.vi.png" alt="AntiDoc.lvlib Document Type.lvclass Is Configuration Valid.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Check if the current config is valid.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Initialize</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Document_Type.lvclass_Initialize.vi.png" alt="AntiDoc.lvlib Document Type.lvclass Initialize.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Initialize the  documentation generation process.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Parse</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Document_Type.lvclass_Parse.vi.png" alt="AntiDoc.lvlib Document Type.lvclass Parse.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Get documentation content.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Compose</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Document_Type.lvclass_Compose.vi.png" alt="AntiDoc.lvlib Document Type.lvclass Compose.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>This function organizes the content in sections and ouput the sections representing the final document generated.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Get Final Document Info</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Document_Type.lvclass_Get_Final_Document_Info.vi.png" alt="AntiDoc.lvlib Document Type.lvclass Get Final Document Info.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Get general document  information.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Release</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Document_Type.lvclass_Release.vi.png" alt="AntiDoc.lvlib Document Type.lvclass Release.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Release any resources used during the documentation generation process.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Default Values</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Config.lvclass_Default_Values.vi.png" alt="AntiDoc.lvlib Config.lvclass Default Values.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Get the default values of the document type configuration.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Obtain User Event</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Progress_Bar.lvlib_Obtain_User_Event.vi.png" alt="AntiDoc.lvlib Progress Bar.lvlib Obtain User Event.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Obtain User Event reference to register to in order to get docuementation generation events.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Set Total Steps</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Progress_Bar.lvlib_Set_Total_Steps.vi.png" alt="AntiDoc.lvlib Progress Bar.lvlib Set Total Steps.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Set the number of step expected during document generation.</p>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
this parameter is used to define the 100% info.
</td>
</tr>
</table>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Initial Step</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Progress_Bar.lvlib_Initial_Step.vi.png" alt="AntiDoc.lvlib Progress Bar.lvlib Initial Step.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Initialize the first documentation generation step.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>New step</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Progress_Bar.lvlib_New_step.vi.png" alt="AntiDoc.lvlib Progress Bar.lvlib New step.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Generate a new documentation step.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Release User Event</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Progress_Bar.lvlib_Release_User_Event.vi.png" alt="AntiDoc.lvlib Progress Bar.lvlib Release User Event.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Release the User Event created in order to broadcast steps of the documentation generation.</p>
</div></div></td>
</tr>
</tbody>
</table>
</div>
<div class="sect2">
<h3 id="utilities"><a class="anchor" href="#utilities"></a>Utilities</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Utilities_icon.png" alt="Utilities icon">
</div>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/Utilities.png" alt="Utilities">
</div>
</div>
<table class="tableblock frame-all grid-all stripes-none stretch">
<caption class="title">Table 2. Functions description</caption>
<colgroup>
<col style="width: 14.2857%;">
<col style="width: 42.8571%;">
<col style="width: 42.8572%;">
</colgroup>
<thead>
<tr>
<th class="tableblock halign-left valign-middle">Name</th>
<th class="tableblock halign-center valign-middle">Connector pane</th>
<th class="tableblock halign-left valign-middle">Description</th>
</tr>
</thead>
<tbody>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Check File Name Validity</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Utilities.lvlib_Check_File_Name_Validity.vi.png" alt="AntiDoc.lvlib Utilities.lvlib Check File Name Validity.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Use this funtion to get a file name compatible with ascidoc syntax.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Copy File To Include</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Utilities.lvlib_Copy_File_To_Include.vi.png" alt="AntiDoc.lvlib Utilities.lvlib Copy File To Include.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Use this function to copy a file you want to include in your document.
The file name will be unique and compatible with the asciidoc syntax.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Is Malleable VI instance</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Utilities.lvlib_Is_Malleable_VI_instance.vi.png" alt="AntiDoc.lvlib Utilities.lvlib Is Malleable VI instance.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Use this function to know if a VI name is one of an malleable instance VI.</p>
</div></div></td>
</tr>
<tr>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Tool Info&#8212;&#8203;constant</p>
</div></div></td>
<td class="tableblock halign-center valign-middle"><div class="content"><div class="imageblock">
<div class="content">
<img src="_images/AntiDoc.lvlib_Utilities.lvlib_Tool_Info__constant.vi.png" alt="AntiDoc.lvlib Utilities.lvlib Tool Info  constant.vi">
</div>
</div></div></td>
<td class="tableblock halign-left valign-middle"><div class="content"><div class="paragraph">
<p>Use this function to know the name (Antidoc) and the version of the tool.</p>
</div></div></td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
<nav class="pagination">
  <span class="prev"><a href="../labview-tool/overview.html">LabVIEW tool</a></span>
  <span class="next"><a href="../create-addon/overview.html">Create an add-on</a></span>
</nav>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../../../_/js/site.js" data-ui-root-path="../../../_"></script>
<script async src="../../../_/js/vendor/highlight.js"></script>
<script src="../../../_/js/vendor/lunr.js"></script>
<script src="../../../_/js/search-ui.js" id="search-ui-script" data-site-root-path="../../.." data-snippet-length="100" data-stylesheet="../../../_/css/search.css"></script>
<script async src="../../../search-index.js"></script>
  </body>
</html>
